﻿namespace Sharing.Api
{
    public class DemoBgService : BackgroundService
    {
        private readonly int nSleep = 1 * 10 * 1000;//10秒运行一次
        private ILogger<DemoBgService> logger;

        public DemoBgService(ILogger<DemoBgService> logger)
        {
            this.logger = logger;
        }

        /// <summary>
        /// 任务的代码
        /// </summary>
        /// <param name="stoppingToken"></param>
        /// <returns></returns>
        protected override async Task ExecuteAsync(CancellationToken stoppingToken)
        {
            while (!stoppingToken.IsCancellationRequested)
            {
                string randomString = "Abc"+DateTime.Now.ToString() +"-"+ Guid.NewGuid().ToString();
                Console.WriteLine(randomString);
                await Task.Delay(nSleep, stoppingToken);
            }
        }

       
    }
}
